<?php

namespace Database\Seeders;

use App\Models\Company;
use App\Models\Step;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class CompanySeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $company1 = Company::create(['Company' => 'AXA','ice' => 'AXA', 'email' => 'axa@gmail.com', 'phone' => '0619999992']);
        $company2 = Company::create(['Company' => 'SAHAM','ice' => 'SAHAM', 'email' => 'saham@gmail.com', 'phone' => '0619999990']);
        $company3 = Company::create(['Company' => 'RMA','ice' => 'RMA', 'email' => 'RMA@gmail.com', 'phone' => '0619999998']);
        $steps = Step::all();
        $company1->step()->attach($steps);
        $company2->step()->attach($steps);
        $company3->step()->attach($steps);
    }
}
